WinShopAPI docs
ReferenceItem lists

Countries of origin

List countries of origin

GET
/api/item-lists/countries-of-origin

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Response Body

application/json
  1. response
[index: integer]?
curl -X GET 'https://<your-instance>/api/item-lists/countries-of-origin' \  -H 'Authorization: Bearer <access-token>'
[  {    "countryLabel": "str",    "guid": "string",    "id": 0,    "isoLabel": "str",    "name": "string"  }]
POST
/api/item-lists/countries-of-origin

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Request Body

application/json
  1. body
countryLabel?|
Lengthlength <= 3
guid?string
Formatguid
id?integer
Formatint32
isoLabel?|
Lengthlength <= 3
name?|
Lengthlength <= 40

Response Body

application/json
  1. response
countryLabel?|
Lengthlength <= 3
guid?string
Formatguid
id?integer
Formatint32
isoLabel?|
Lengthlength <= 3
name?|
Lengthlength <= 40
curl -X POST 'https://<your-instance>/api/item-lists/countries-of-origin' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "countryLabel": "str",  "guid": "string",  "id": 0,  "isoLabel": "str",  "name": "string"}
GET
/api/item-lists/countries-of-origin/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

application/json
  1. response
countryLabel?|
Lengthlength <= 3
guid?string
Formatguid
id?integer
Formatint32
isoLabel?|
Lengthlength <= 3
name?|
Lengthlength <= 40
curl -X GET 'https://<your-instance>/api/item-lists/countries-of-origin/0' \  -H 'Authorization: Bearer <access-token>'
{  "countryLabel": "str",  "guid": "string",  "id": 0,  "isoLabel": "str",  "name": "string"}
PATCH
/api/item-lists/countries-of-origin/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Request Body

application/json
  1. body
countryLabel?|
Lengthlength <= 3
guid?string
Formatguid
id?integer
Formatint32
isoLabel?|
Lengthlength <= 3
name?|
Lengthlength <= 40

Response Body

application/json
  1. response
countryLabel?|
Lengthlength <= 3
guid?string
Formatguid
id?integer
Formatint32
isoLabel?|
Lengthlength <= 3
name?|
Lengthlength <= 40
curl -X PATCH 'https://<your-instance>/api/item-lists/countries-of-origin/0' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{}'
{  "countryLabel": "str",  "guid": "string",  "id": 0,  "isoLabel": "str",  "name": "string"}
DELETE
/api/item-lists/countries-of-origin/{id}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

id*integer
Formatint32

Response Body

curl -X DELETE 'https://<your-instance>/api/item-lists/countries-of-origin/0' \  -H 'Authorization: Bearer <access-token>'
Empty